%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%define has_ruby_abi 0%{?fedora:%fedora} >= 5 || 0%{?rhel:%rhel} >= 5

Name:           ruby-fam
Version:        0.2.0
Release:        9%{?dist}
Summary:        Gamin/FAM bindings for Ruby

Group:          Development/Languages
License:        BSD
URL:            http://www.pablotron.org/software/fam-ruby/
Source0:        http://www.pablotron.org/download/fam-ruby-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby ruby-devel gamin-devel
%if %has_ruby_abi
Requires:       ruby(abi) = 1.8
%endif
Provides:       ruby(fam) = 0.1.4
Provides:       ruby(gamin) = 0.1.4

%description
FAM-Ruby is a Ruby interface to SGI's File Alteration Monitor
(http://oss.sgi.com/projects/fam/).  FAM allows you to monitor files and
directories for changes (file modification, creation, and removal) -- in
an event-driven manner.

%prep
%setup -q -n fam-ruby-%{version}
mv doc api

%build
export CFLAGS="$RPM_OPT_FLAGS"
ruby extconf.rb
make

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install
 
%check


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{ruby_sitearch}/fam.so
# Developer docs, really
%doc api event_codes.txt

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.0-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 David Lutterkort <dlutter@redhat.com> - 0.2.0-5
- Rebuild for F8 buildid

* Wed Feb 21 2007 David Lutterkort <dlutter@redhat.com> - 0.2.0-4
- Enable building on RHEL4

* Wed Jan 17 2007 David Lutterkort <dlutter@redhat.com> - 0.2.0-3
- Remove devel subpackage, put everything into one

* Wed Jan 17 2007 David Lutterkort <dlutter@redhat.com> - 0.2.0-2
- Remove gamin requirement, fix depedency of devel on main package

* Tue Dec  5 2006 David Lutterkort <dlutter@redhat.com> - 0.2.0-1
- Initial package

